
//Title:      EmployeeInfo
//Version:    
//Copyright:  Copyright (c) 1997
//Author:     Bryan Morgan
//Company:    AlphaBeta Technologies
//Description:Human Resources Application

import java.awt.*;

public class EmployeeApp {
  boolean packFrame = false;

  //Construct the application
  public EmployeeApp() {
    EmployeeFrame frame = new EmployeeFrame();

     //Pack frames that have useful preferred size info, e.g. from their layout
    //Validate frames that have preset sizes
    if (packFrame)
      frame.pack();
    else
      frame.validate();
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height)
      frameSize.height = screenSize.height;
    if (frameSize.width > screenSize.width)
      frameSize.width = screenSize.width;
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }

  //Main method
  static public void main(String[] args) {

    new EmployeeApp();
  }
}

