package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer.EmployeeHelper
<li> <b>Source File</b> EmployeeServer/EmployeeHelper.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::Employee
<li> <b>Repository Identifier</b> IDL:EmployeeServer/Employee:1.0
</ul>
<b>IDL definition:</b>
<pre>
    struct Employee {
      string Name;
      string Address;
      string City;
      string State;
      long long SSN;
      float Salary;
      string Title;
    };
</pre>
</p>
*/
abstract public class EmployeeHelper {
  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }
  public static EmployeeServer.Employee read(org.omg.CORBA.portable.InputStream _input) {
    EmployeeServer.Employee result = new EmployeeServer.Employee();
    result.Name = _input.read_string();
    result.Address = _input.read_string();
    result.City = _input.read_string();
    result.State = _input.read_string();
    result.SSN = _input.read_longlong();
    result.Salary = _input.read_float();
    result.Title = _input.read_string();
    return result;
  }
  public static void write(org.omg.CORBA.portable.OutputStream _output, EmployeeServer.Employee value) {
    _output.write_string(value.Name);
    _output.write_string(value.Address);
    _output.write_string(value.City);
    _output.write_string(value.State);
    _output.write_longlong(value.SSN);
    _output.write_float(value.Salary);
    _output.write_string(value.Title);
  }
  public static void insert(org.omg.CORBA.Any any, EmployeeServer.Employee value) {
    org.omg.CORBA.portable.OutputStream output = any.create_output_stream();
    write(output, value);
    any.read_value(output.create_input_stream(), type());
  }
  public static EmployeeServer.Employee extract(org.omg.CORBA.Any any) {
    if(!any.type().equal(type())) {
      throw new org.omg.CORBA.BAD_TYPECODE();
    }
    return read(any.create_input_stream());
  }
  private static org.omg.CORBA.TypeCode _type;
  public static org.omg.CORBA.TypeCode type() {
    if(_type == null) {
      org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[7];
      members[0] = new org.omg.CORBA.StructMember("Name", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
      members[1] = new org.omg.CORBA.StructMember("Address", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
      members[2] = new org.omg.CORBA.StructMember("City", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
      members[3] = new org.omg.CORBA.StructMember("State", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
      members[4] = new org.omg.CORBA.StructMember("SSN", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_longlong), null);
      members[5] = new org.omg.CORBA.StructMember("Salary", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_float), null);
      members[6] = new org.omg.CORBA.StructMember("Title", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
      _type = _orb().create_struct_tc(id(), "Employee", members);
    }
    return _type;
  }
  public static java.lang.String id() {
    return "IDL:EmployeeServer/Employee:1.0";
  }
}
