package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer.EmployeeInfoOperations
<li> <b>Source File</b> EmployeeServer/EmployeeInfoOperations.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeInfo
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeInfo:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface EmployeeInfo {
      attribute ::EmployeeServer::EmployeeList theList;
      readonly attribute long Count;
      ::EmployeeServer::Employee getEmployee(
        in long index
      );
      void deleteEmployee(
        in long index
      );
      void newEmployee(
        in ::EmployeeServer::Employee newPerson
      );
      void updateEmployee(
        in long index,
        in ::EmployeeServer::Employee newData
      );
    };
</pre>
</p>
*/
public interface EmployeeInfoOperations {
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::getEmployee</b>.
  <pre>
    ::EmployeeServer::Employee getEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public EmployeeServer.Employee getEmployee(
    int index
  );
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::deleteEmployee</b>.
  <pre>
    void deleteEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public void deleteEmployee(
    int index
  );
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::newEmployee</b>.
  <pre>
    void newEmployee(
      in ::EmployeeServer::Employee newPerson
    );
  </pre>
  </p>
  */
  public void newEmployee(
    EmployeeServer.Employee newPerson
  );
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::updateEmployee</b>.
  <pre>
    void updateEmployee(
      in long index,
      in ::EmployeeServer::Employee newData
    );
  </pre>
  </p>
  */
  public void updateEmployee(
    int index,
    EmployeeServer.Employee newData
  );
  /**
  <p>
  Writer for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public void theList(EmployeeServer.Employee[] theList);
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public EmployeeServer.Employee[] theList();
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::Count</b>.
  <pre>
    readonly attribute long Count;
  </pre>
  </p>
  */
  public int Count();
}
