package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer.EmployeeListHelper
<li> <b>Source File</b> EmployeeServer/EmployeeListHelper.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeList
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeList:1.0
</ul>
<b>IDL definition:</b>
<pre>
    typedef sequence&lt::EmployeeServer::Employee&gt EmployeeList;
</pre>
</p>
*/
abstract public class EmployeeListHelper {
  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }
  public static EmployeeServer.Employee[] read(org.omg.CORBA.portable.InputStream _input) {
    EmployeeServer.Employee[] result;
    {
      int _length3 = _input.read_long();
      result = new EmployeeServer.Employee[_length3];
      for(int _i3 = 0; _i3 < _length3; _i3++) {
        result[_i3] = EmployeeServer.EmployeeHelper.read(_input);
      }
    }
    return result;
  }
  public static void write(org.omg.CORBA.portable.OutputStream _output, EmployeeServer.Employee[] value) {
    _output.write_long(value.length);
    for(int _i2 = 0; _i2 < value.length; _i2++) {
      EmployeeServer.EmployeeHelper.write(_output, value[_i2]);
    }
  }
  public static void insert(org.omg.CORBA.Any any, EmployeeServer.Employee[] value) {
    org.omg.CORBA.portable.OutputStream output = any.create_output_stream();
    write(output, value);
    any.read_value(output.create_input_stream(), type());
  }
  public static EmployeeServer.Employee[] extract(org.omg.CORBA.Any any) {
    if(!any.type().equal(type())) {
      throw new org.omg.CORBA.BAD_TYPECODE();
    }
    return read(any.create_input_stream());
  }
  private static org.omg.CORBA.TypeCode _type;
  public static org.omg.CORBA.TypeCode type() {
    if(_type == null) {
      org.omg.CORBA.TypeCode original_type = _orb().create_sequence_tc(0, EmployeeServer.EmployeeHelper.type());
      _type = _orb().create_alias_tc(id(), "EmployeeList", original_type);
    }
    return _type;
  }
  public static java.lang.String id() {
    return "IDL:EmployeeServer/EmployeeList:1.0";
  }
}
