package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer._EmployeeInfoImplBase
<li> <b>Source File</b> EmployeeServer/_EmployeeInfoImplBase.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeInfo
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeInfo:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface EmployeeInfo {
      attribute ::EmployeeServer::EmployeeList theList;
      readonly attribute long Count;
      ::EmployeeServer::Employee getEmployee(
        in long index
      );
      void deleteEmployee(
        in long index
      );
      void newEmployee(
        in ::EmployeeServer::Employee newPerson
      );
      void updateEmployee(
        in long index,
        in ::EmployeeServer::Employee newData
      );
    };
</pre>
</p>
*/
abstract public class _EmployeeInfoImplBase extends org.omg.CORBA.portable.Skeleton implements EmployeeServer.EmployeeInfo {
  protected _EmployeeInfoImplBase(java.lang.String name) {
    super(name);
  }
  protected _EmployeeInfoImplBase() {
  }
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:EmployeeServer/EmployeeInfo:1.0"
  };
  public org.omg.CORBA.portable.MethodPointer[] _methods() {
    org.omg.CORBA.portable.MethodPointer[] methods = {
      new org.omg.CORBA.portable.MethodPointer("getEmployee", 0, 0),
      new org.omg.CORBA.portable.MethodPointer("deleteEmployee", 0, 1),
      new org.omg.CORBA.portable.MethodPointer("newEmployee", 0, 2),
      new org.omg.CORBA.portable.MethodPointer("updateEmployee", 0, 3),
      new org.omg.CORBA.portable.MethodPointer("_set_theList", 0, 4),
      new org.omg.CORBA.portable.MethodPointer("_get_theList", 0, 5),
      new org.omg.CORBA.portable.MethodPointer("_get_Count", 0, 6),
    };
    return methods;
  }
  public boolean _execute(org.omg.CORBA.portable.MethodPointer method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.OutputStream output) {
    switch(method.interface_id) {
    case 0: {
      return EmployeeServer._EmployeeInfoImplBase._execute(this, method.method_id, input, output); 
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
  public static boolean _execute(EmployeeServer.EmployeeInfo _self, int _method_id, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.OutputStream _output) {
    switch(_method_id) {
    case 0: {
      int index;
      index = _input.read_long();
      EmployeeServer.Employee _result = _self.getEmployee(index);
      EmployeeServer.EmployeeHelper.write(_output, _result);
      return false;
    }
    case 1: {
      int index;
      index = _input.read_long();
      _self.deleteEmployee(index);
      return false;
    }
    case 2: {
      EmployeeServer.Employee newPerson;
      newPerson = EmployeeServer.EmployeeHelper.read(_input);
      _self.newEmployee(newPerson);
      return false;
    }
    case 3: {
      int index;
      index = _input.read_long();
      EmployeeServer.Employee newData;
      newData = EmployeeServer.EmployeeHelper.read(_input);
      _self.updateEmployee(index,newData);
      return false;
    }
    case 4: {
      EmployeeServer.Employee[] theList;
      theList = EmployeeServer.EmployeeListHelper.read(_input);
      _self.theList(theList);
      return false;
    }
    case 5: {
      EmployeeServer.Employee[] _result = _self.theList();
      EmployeeServer.EmployeeListHelper.write(_output, _result);
      return false;
    }
    case 6: {
      int _result = _self.Count();
      _output.write_long(_result);
      return false;
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
}
