package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer.EmployeeHolder
<li> <b>Source File</b> EmployeeServer/EmployeeHolder.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::Employee
<li> <b>Repository Identifier</b> IDL:EmployeeServer/Employee:1.0
</ul>
<b>IDL definition:</b>
<pre>
    struct Employee {
      string Name;
      string Address;
      string City;
      string State;
      long long SSN;
      float Salary;
      string Title;
    };
</pre>
</p>
*/
final public class EmployeeHolder implements org.omg.CORBA.portable.Streamable {
  public EmployeeServer.Employee value;
  public EmployeeHolder() {
  }
  public EmployeeHolder(EmployeeServer.Employee value) {
    this.value = value;
  }
  public void _read(org.omg.CORBA.portable.InputStream input) {
    value = EmployeeHelper.read(input);
  }
  public void _write(org.omg.CORBA.portable.OutputStream output) {
    EmployeeHelper.write(output, value);
  }
  public org.omg.CORBA.TypeCode _type() {
    return EmployeeHelper.type();
  }
}
