package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer.EmployeeInfoHolder
<li> <b>Source File</b> EmployeeServer/EmployeeInfoHolder.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeInfo
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeInfo:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface EmployeeInfo {
      attribute ::EmployeeServer::EmployeeList theList;
      readonly attribute long Count;
      ::EmployeeServer::Employee getEmployee(
        in long index
      );
      void deleteEmployee(
        in long index
      );
      void newEmployee(
        in ::EmployeeServer::Employee newPerson
      );
      void updateEmployee(
        in long index,
        in ::EmployeeServer::Employee newData
      );
    };
</pre>
</p>
*/
final public class EmployeeInfoHolder implements org.omg.CORBA.portable.Streamable {
  public EmployeeServer.EmployeeInfo value;
  public EmployeeInfoHolder() {
  }
  public EmployeeInfoHolder(EmployeeServer.EmployeeInfo value) {
    this.value = value;
  }
  public void _read(org.omg.CORBA.portable.InputStream input) {
    value = EmployeeInfoHelper.read(input);
  }
  public void _write(org.omg.CORBA.portable.OutputStream output) {
    EmployeeInfoHelper.write(output, value);
  }
  public org.omg.CORBA.TypeCode _type() {
    return EmployeeInfoHelper.type();
  }
}
