package EmployeeServer;

public class EmployeeInfoImpl extends EmployeeServer._EmployeeInfoImplBase {

  private java.util.Vector Employees;

  /** Construct a persistently named object. */
  public EmployeeInfoImpl(java.lang.String name)
  {
    super(name);
    Employees = new java.util.Vector();
  }

  /** Construct a transient object. */
  public EmployeeInfoImpl()
  {
    super();
    Employees = new java.util.Vector();
  }

  public EmployeeServer.Employee getEmployee(int index)
  {
    if (index <= (Employees.size() -1))
        return (EmployeeServer.Employee)Employees.elementAt(index);
    else
        return null;
  }

  public void deleteEmployee(int index)
  {
    Employees.removeElementAt(index);
  }

  public void newEmployee(EmployeeServer.Employee newPerson)
  {
     Employees.addElement(newPerson);
  }

  public void updateEmployee(int index, EmployeeServer.Employee newData)
  {
    Employees.setElementAt(newData, index);
  }

  public void theList(EmployeeServer.Employee[] theList)
  {
    // implement attribute writer...
  }

  public EmployeeServer.Employee[] theList()
  {
    // implement attribute reader...
    return null;
  }

  public int Count()
  {
    return Employees.size();
  }
}
