package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer._st_EmployeeInfo
<li> <b>Source File</b> EmployeeServer/_st_EmployeeInfo.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeInfo
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeInfo:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface EmployeeInfo {
      attribute ::EmployeeServer::EmployeeList theList;
      readonly attribute long Count;
      ::EmployeeServer::Employee getEmployee(
        in long index
      );
      void deleteEmployee(
        in long index
      );
      void newEmployee(
        in ::EmployeeServer::Employee newPerson
      );
      void updateEmployee(
        in long index,
        in ::EmployeeServer::Employee newData
      );
    };
</pre>
</p>
*/
public class _st_EmployeeInfo extends org.omg.CORBA.portable.ObjectImpl implements EmployeeServer.EmployeeInfo {
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:EmployeeServer/EmployeeInfo:1.0"
  };
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::getEmployee</b>.
  <pre>
    ::EmployeeServer::Employee getEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public EmployeeServer.Employee getEmployee(
    int index
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getEmployee", true);
      _output.write_long(index);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      EmployeeServer.Employee _result;
      _result = EmployeeServer.EmployeeHelper.read(_input);
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getEmployee(
        index
      );
    }
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::deleteEmployee</b>.
  <pre>
    void deleteEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public void deleteEmployee(
    int index
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("deleteEmployee", true);
      _output.write_long(index);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      deleteEmployee(
        index
      );
    }
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::newEmployee</b>.
  <pre>
    void newEmployee(
      in ::EmployeeServer::Employee newPerson
    );
  </pre>
  </p>
  */
  public void newEmployee(
    EmployeeServer.Employee newPerson
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("newEmployee", true);
      EmployeeServer.EmployeeHelper.write(_output, newPerson);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      newEmployee(
        newPerson
      );
    }
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::updateEmployee</b>.
  <pre>
    void updateEmployee(
      in long index,
      in ::EmployeeServer::Employee newData
    );
  </pre>
  </p>
  */
  public void updateEmployee(
    int index,
    EmployeeServer.Employee newData
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("updateEmployee", true);
      _output.write_long(index);
      EmployeeServer.EmployeeHelper.write(_output, newData);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      updateEmployee(
        index,
        newData
      );
    }
  }
  /**
  <p>
  Writer for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public void theList(EmployeeServer.Employee[] theList) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("_set_theList", true);
      EmployeeServer.EmployeeListHelper.write(_output, theList);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      theList(
        theList
      );
    }
  }
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public EmployeeServer.Employee[] theList() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("_get_theList", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      EmployeeServer.Employee[] _result;
      _result = EmployeeServer.EmployeeListHelper.read(_input);
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return theList();
    }
  }
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::Count</b>.
  <pre>
    readonly attribute long Count;
  </pre>
  </p>
  */
  public int Count() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("_get_Count", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return Count();
    }
  }
}
