package EmployeeServer;
/**
<p>
<ul>
<li> <b>Java Class</b> EmployeeServer._tie_EmployeeInfo
<li> <b>Source File</b> EmployeeServer/_tie_EmployeeInfo.java
<li> <b>IDL Source File</b> Employee.idl
<li> <b>IDL Absolute Name</b> ::EmployeeServer::EmployeeInfo
<li> <b>Repository Identifier</b> IDL:EmployeeServer/EmployeeInfo:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface EmployeeInfo {
      attribute ::EmployeeServer::EmployeeList theList;
      readonly attribute long Count;
      ::EmployeeServer::Employee getEmployee(
        in long index
      );
      void deleteEmployee(
        in long index
      );
      void newEmployee(
        in ::EmployeeServer::Employee newPerson
      );
      void updateEmployee(
        in long index,
        in ::EmployeeServer::Employee newData
      );
    };
</pre>
</p>
*/
public class _tie_EmployeeInfo extends EmployeeServer._EmployeeInfoImplBase {
  private EmployeeServer.EmployeeInfoOperations _delegate;
  public _tie_EmployeeInfo(EmployeeServer.EmployeeInfoOperations delegate, java.lang.String name) {
    super(name);
    this._delegate = delegate;
  }
  public _tie_EmployeeInfo(EmployeeServer.EmployeeInfoOperations delegate) {
    this._delegate = delegate;
  }
  public EmployeeServer.EmployeeInfoOperations _delegate() {
    return this._delegate;
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::getEmployee</b>.
  <pre>
    ::EmployeeServer::Employee getEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public EmployeeServer.Employee getEmployee(
    int index
  ) {
    return this._delegate.getEmployee(
      index
    );
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::deleteEmployee</b>.
  <pre>
    void deleteEmployee(
      in long index
    );
  </pre>
  </p>
  */
  public void deleteEmployee(
    int index
  ) {
    this._delegate.deleteEmployee(
      index
    );
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::newEmployee</b>.
  <pre>
    void newEmployee(
      in ::EmployeeServer::Employee newPerson
    );
  </pre>
  </p>
  */
  public void newEmployee(
    EmployeeServer.Employee newPerson
  ) {
    this._delegate.newEmployee(
      newPerson
    );
  }
  /**
  <p>
  Operation: <b>::EmployeeServer::EmployeeInfo::updateEmployee</b>.
  <pre>
    void updateEmployee(
      in long index,
      in ::EmployeeServer::Employee newData
    );
  </pre>
  </p>
  */
  public void updateEmployee(
    int index,
    EmployeeServer.Employee newData
  ) {
    this._delegate.updateEmployee(
      index,
      newData
    );
  }
  /**
  <p>
  Writer for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public void theList(EmployeeServer.Employee[] theList) {
    this._delegate.theList(theList);
  }
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::theList</b>.
  <pre>
    attribute ::EmployeeServer::EmployeeList theList;
  </pre>
  </p>
  */
  public EmployeeServer.Employee[] theList() {
    return this._delegate.theList();
  }
  /**
  <p>
  Reader for attribute: <b>::EmployeeServer::EmployeeInfo::Count</b>.
  <pre>
    readonly attribute long Count;
  </pre>
  </p>
  */
  public int Count() {
    return this._delegate.Count();
  }
}
