
import java.io.*;
import java.util.Hashtable;

public class SojournerCentralRegistry implements Serializable {

    Hashtable registry;

    public SojournerCentralRegistry()
    {
	registry = new Hashtable();
    }

    public synchronized void register(String hostName)
    {
	registry.put(hostName, "");

    }

    public synchronized void unregister(String hostName)
    {
	registry.remove(hostName);
    }

    public synchronized Hashtable toLocal()
    {
	return registry;
    }
}
