// ---------- tstptl14.cpp
#include <iostream>
#include <brothers.h>

static void Show(Brothers& bros, const std::string& s);

int main()
{
    Brothers bros("Store7");
    
    Show(bros, "alan");
    Show(bros, "frederick");
    Show(bros, "julian");
    Show(bros, "joseph");
    Show(bros, "walter");

    // --- retrieve from the map in reverse sequential order
    Brothers::reverse_iterator iter = bros.rbegin();
    while (iter != bros.rend())  {
        std::string nm = (*iter).first;
        Date dt = (*iter).second;
        std::cout << '\n' << nm << "'s dob = " << dt;
        iter++;
    }
    return 0;
}

static void Show(Brothers& bros, const std::string& s)
{
    if (bros.find(s) != bros.end())
        std::cout << (s + ": ") << bros[s] << '\n';
}

